尺寸表的选择

方法适用于所有模式.

如果您使用API-Key令牌,调用该方法时需要具备列表中可用权限之一

返回适用于指定类别、品牌和性别的尺寸表。

类型 STANDARD — 已经由Yandex创建的表格。市场,并自动匹配到选定的 选择类别、品牌和性别。 类型 CUSTOM — 您自己创建的表格:它们适合, 如果你有自己的品牌,一个独特的尺寸范围,或产品是小或大。

首先,返回业务创建的表,然后返回品牌表,然后返回标准表; 在每个组内 — ID的降序排列。

结果逐页返回。 要导航,请使用参数 pageToken 和 limit.

⚙️ 限额: 100 请求 每分钟

Request

POST

https://api.partner.market.yandex.ru/v2/businesses/{businessId}/size-tables/suggest

Path parameters

Name

Description

businessId

Type: integer

内阁ID。

Min value: 1

Query parameters

Name

Description

limit

Type: integer

每页的值数。

Default: 25

Min value: 1

Max value: 100

pageToken

Type: string

结果页面的ID。

如果省略该参数,则返回第一页。

传递输出参数的值 nextPageToken,在最后一次请求期间接收。

Example: ``

Body

application/json
{
  "categoryId": 0,
  "vendorId": 1,
  "genderId": 1
}

Name

Description

categoryId

Type: integer

市场上的类别的ID。

更改类别时,请确保参数中的产品特性及其值 parameterValues 您正在提交一个新的类别.

您可以使用请求获取市场类别列表。 POST v2/categories/tree.

Min value: 0

Exclusive min: true

genderId

Type: integer

性别标识符:特征的值性别(id: 14805991).

要找到答案,请使用请求 POST v2/category/{categoryId}/parameters — 该ID将被发送到 参数[].值[].id.

Min value: 1

vendorId

Type: integer

品牌ID:特性的价值品牌(id: 7893318).

要找到答案,请使用请求 POST v2/category/{categoryId}/parameters — 该ID将被发送到 参数[].值[].id.

Min value: 1

Responses

200 OK

合适的尺寸表。

Body

application/json
{
  "status": "OK",
  "result": {
    "sizeParameterId": 0,
    "sizeTables": [
      {
        "sizeTableId": 0,
        "sizeTableName": "example",
        "sizeTableType": "CUSTOM",
        "sizeParameterId": 0,
        "editable": true,
        "key": {},
        "sizeCharts": [
          null
        ]
      }
    ],
    "paging": {
      "nextPageToken": "example"
    }
  }
}

Type: object

All of 2 types
  • Type: object

    status

    Type: string

    响应的类型。 可能的值:

    • OK — 没有错误。
    • ERROR — 处理请求时出错。

    Enum: OK, ERROR

    服务器响应的标准包装器。

    Example
    {
      "status": "OK"
    }
    
  • Type: object

    result

    Type: object

    paging

    Type: object

    nextPageToken

    Type: string

    下一个结果页面的ID。

    Example: example

    下一页的ID。

    Example
    {
      "nextPageToken": "example"
    }
    

    sizeTables

    Type: object[]

    editable

    Type: boolean

    企业可以编辑表格吗: true — 对于业务创建的表, false — 对于市场表。

    sizeCharts

    Type: object[]

    columnType

    Type: string

    尺寸图的列类型:

    • SIZE_CHART — 用于确定产品尺寸的尺寸网格。
    • MEASUREMENT — 测量,例如胸围或足长。 它不参与确定产品的尺寸。

    Enum: SIZE_CHART, MEASUREMENT

    sizeChartId

    Type: integer

    维度网格或维度的ID。 网格和测量具有共同的标识符空间。

    sizeChartName

    Type: string

    维度网格或度量的名称。

    Example: example

    sizes

    Type: object[]

    rowIndex

    Type: integer

    表的行号,从0开始。 值相同 rowIndex 相同的尺寸在不同的列中描述。

    数字可能会丢失,并且行顺序可能与大小顺序不匹配。 收集线 按价值计算 rowIndex,而不是由值的位置 sizes.

    Min value: 0

    sizeValue

    Type: string

    尺寸或测量的值。

    Example: example

    sizeValueId

    Type: integer

    大小值的ID。 仅当列具有值的引用列表时才返回。 — 这些是市场的标准尺寸网格。

    在由企业、品牌网格和测量创建的网格中,值仅由文本设置。

    列值按表中行的顺序排列。 不返回空单元格。

    Example
    [
      {
        "sizeValueId": 0,
        "sizeValue": "example",
        "rowIndex": 0
      }
    ]
    

    表的列:尺寸网格和测量。 不返回没有值的列。

    Example
    [
      {
        "sizeChartId": 0,
        "sizeChartName": "example",
        "columnType": "SIZE_CHART",
        "sizes": [
          {
            "sizeValueId": 0,
            "sizeValue": "example",
            "rowIndex": 0
          }
        ]
      }
    ]
    

    sizeParameterId

    Type: integer

    表中的维度与之相关的维度特征的ID。

    sizeTableId

    Type: integer

    大小表的ID。

    sizeTableName

    Type: string

    尺寸图表的名称。

    Example: example

    sizeTableType

    Type: string

    尺寸图表类型:

    • CUSTOM — 业务创建的表。
    • STANDARD — 市场表:标准或定制。

    Enum: CUSTOM, STANDARD

    key

    Type: object

    categoryId

    Type: integer

    来自请求的类别ID。

    genderId

    Type: integer

    市场上的性别ID。

    vendorId

    Type: integer

    市场上的品牌ID。 只为品牌表返回。

    选择表的条件。

    Example
    {
      "categoryId": 0,
      "vendorId": 0,
      "genderId": 0
    }
    

    合适的尺寸表:首先由企业创建,然后品牌,然后 标准;各组内 — ID的降序排列。

    Example
    [
      {
        "sizeTableId": 0,
        "sizeTableName": "example",
        "sizeTableType": "CUSTOM",
        "sizeParameterId": 0,
        "editable": true,
        "key": {
          "categoryId": 0,
          "vendorId": 0,
          "genderId": 0
        },
        "sizeCharts": [
          {
            "sizeChartId": 0,
            "sizeChartName": "example",
            "columnType": "SIZE_CHART",
            "sizes": [
              {}
            ]
          }
        ]
      }
    ]
    

    sizeParameterId

    Type: integer

    类别的维度特征的ID。 如果类别不具有尺寸特征,则省略。 — 然后也没有表格。

    合适的尺寸表。

    Example
    {
      "sizeParameterId": 0,
      "sizeTables": [
        {
          "sizeTableId": 0,
          "sizeTableName": "example",
          "sizeTableType": "CUSTOM",
          "sizeParameterId": 0,
          "editable": true,
          "key": {
            "categoryId": 0,
            "vendorId": 0,
            "genderId": 0
          },
          "sizeCharts": [
            {
              "sizeChartId": 0,
              "sizeChartName": "example",
              "columnType": "SIZE_CHART",
              "sizes": [
                null
              ]
            }
          ]
        }
      ],
      "paging": {
        "nextPageToken": "example"
      }
    }
    
    Example
    {
      "result": {
        "sizeParameterId": 0,
        "sizeTables": [
          {
            "sizeTableId": 0,
            "sizeTableName": "example",
            "sizeTableType": "CUSTOM",
            "sizeParameterId": 0,
            "editable": true,
            "key": {
              "categoryId": 0,
              "vendorId": 0,
              "genderId": 0
            },
            "sizeCharts": [
              {}
            ]
          }
        ],
        "paging": {
          "nextPageToken": "example"
        }
      }
    }
    

400 Bad Request

请求包含不正确的数据。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

401 Unauthorized

请求中未指定授权数据。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

403 Forbidden

授权数据不正确或禁止访问资源。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

404 Not Found

找不到请求的资源。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

420 Method Failure

已超出资源访问限制。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

500 Internal Server Error

市场的内部错误。 有关错误的更多信息

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      响应的类型。 可能的值:

      • OK — 没有错误。
      • ERROR — 处理请求时出错。

      Enum: OK, ERROR

      服务器响应的标准包装器。

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      的错误代码。

      Example: example

      message

      Type: string

      错误的描述。

      Example: example

      错误列表。

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    服务器错误的标准包装器。

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }